summaryrefslogtreecommitdiff
path: root/localezlanguage
diff options
context:
space:
mode:
Diffstat (limited to 'localezlanguage')
-rwxr-xr-xlocalezlanguage15
1 files changed, 15 insertions, 0 deletions
diff --git a/localezlanguage b/localezlanguage
new file mode 100755
index 0000000..e996446
--- /dev/null
+++ b/localezlanguage
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+
+for lang in $@; do
+ if [ -f $lang.tgz ]; then
+ echo "output file $lang.tgz already exists - exiting"
+ exit 1
+ fi
+done
+for lang in $@; do
+# find * -type f | grep -v cache | grep "$lang" | sed "s!$lang/.*!$lang/!" | uniq | sort
+# find * -type f | grep -v cache | grep "$lang" | tar -czf $lang.tgz --mode 0644
+ tar -czf $lang.tgz --mode 0644 `find * -type f | grep -v cache | grep "$lang"`
+done